;=======================================
;  CVASM16 INCLUDE FILE for the 16C710
;      Copyright (c) 2000 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - ALPHA release 7/21/00
;=======================================

                     DEVCODE    00710h      
                     ROMSIZE    512         
                     EESIZE     0           
                     CORE       _14bit      
                     PAGEBIT    0           
                     MAXTRIS    0006        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
PORTA                EQU        0005h       
RA                   EQU        0005h       ; backwards compatability
PORTB                EQU        0006h       
RB                   EQU        0006h       ; backwards compatability
ADCON0               EQU        0008h       
ADRES                EQU        0009h       
PCLATH               EQU        000Ah       
INTCON               EQU        000Bh       
OPTION_REG           EQU        0081h       
OPTION               EQU        0081h       ; backwards compatability
TRISA                EQU        0085h       
TRISB                EQU        0086h       
PCON                 EQU        0087h       
ADCON1               EQU        0088h       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
IRP                  EQU        STATUS.7    
RP1                  EQU        STATUS.6    
RP0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ADCS1                EQU        ADCON0.7    
ADCS0                EQU        ADCON0.6    
CHS1                 EQU        ADCON0.4    
CHS0                 EQU        ADCON0.3    
GO                   EQU        ADCON0.2    
NOT_DONE             EQU        ADCON0.2    
GO_DONE              EQU        ADCON0.2    
ADIF                 EQU        ADCON0.1    
ADON                 EQU        ADCON0.0    


;=======================================
;  INTCON Register BIT Definitions 
;=======================================
GIE                  EQU        INTCON.7    
ADIE                 EQU        INTCON.6    
T0IE                 EQU        INTCON.5    
INTE                 EQU        INTCON.4    
RBIE                 EQU        INTCON.3    
T0IF                 EQU        INTCON.2    
INTF                 EQU        INTCON.1    
RBIF                 EQU        INTCON.0    


;=======================================
;  OPTION Register BIT Definitions 
;=======================================
NOT_RBPU             EQU        OPTION_REG.7
INTEDG               EQU        OPTION_REG.6
T0CS                 EQU        OPTION_REG.5
T0SE                 EQU        OPTION_REG.4
PSA                  EQU        OPTION_REG.3
PS2                  EQU        OPTION_REG.2
PS1                  EQU        OPTION_REG.1
PS0                  EQU        OPTION_REG.0


;=======================================
;  PCON Register BIT Definitions 
;=======================================
NOT_POR              EQU        PCON.1      
NOT_BO               EQU        PCON.0      
NOT_BOR              EQU        PCON.0      


;=======================================
;  ADCON1 Register BIT Definitions 
;=======================================
PCFG1                EQU        ADCON1.1    
PCFG0                EQU        ADCON1.0    


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_BODEN_ON            EQU        3FFFh       
_BODEN_OFF           EQU        3FBFh       
_CP_ON               EQU        004Fh       
_CP_OFF              EQU        3FFFh       
_PWRTE_OFF           EQU        3FFFh       
_PWRTE_ON            EQU        3FF7h       
_WDT_ON              EQU        3FFFh       
_WDT_OFF             EQU        3FFBh       
_LP_OSC              EQU        3FFCh       
_XT_OSC              EQU        3FFDh       
_HS_OSC              EQU        3FFEh       
_RC_OSC              EQU        3FFFh       
