;=======================================
;  CVASM16 INCLUDE FILE for the 16C771
;      Copyright (c) 2000 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - ALPHA release 7/21/00
;=======================================

                     DEVCODE    00771h      
                     ROMSIZE    4096        
                     EESIZE     0           
                     CORE       _14bit      
                     PAGEBIT    1           
                     MAXTRIS    0006        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
PORTA                EQU        0005h       
RA                   EQU        0005h       ; backwards compatability
PORTB                EQU        0006h       
RB                   EQU        0006h       ; backwards compatability
PCLATH               EQU        000Ah       
INTCON               EQU        000Bh       
PIR1                 EQU        000Ch       
PIR2                 EQU        000Dh       
TMR1L                EQU        000Eh       
TMR1H                EQU        000Fh       
T1CON                EQU        0010h       
TMR2                 EQU        0011h       
T2CON                EQU        0012h       
SSPBUF               EQU        0013h       
SSPCON               EQU        0014h       
CCPR1L               EQU        0015h       
CCPR1H               EQU        0016h       
CCP1CON              EQU        0017h       
ADRESH               EQU        001Eh       
ADCON0               EQU        001Fh       
OPTION_REG           EQU        0081h       
OPTION               EQU        0081h       ; backwards compatability
TRISA                EQU        0085h       
TRISB                EQU        0086h       
PIE1                 EQU        008Ch       
PIE2                 EQU        008Dh       
PCON                 EQU        008Eh       
SSPCON2              EQU        0091h       
PR2                  EQU        0092h       
SSPADD               EQU        0093h       
SSPSTAT              EQU        0094h       
WPUB                 EQU        0095h       
IOCB                 EQU        0096h       
P1DEL                EQU        0097h       
REFCON               EQU        009Bh       
LVDCON               EQU        009Ch       
ANSEL                EQU        009Dh       
ADRESL               EQU        009Eh       
ADCON1               EQU        009Fh       
PMDATL               EQU        010Ch       
PMADRL               EQU        010Dh       
PMDATH               EQU        010Eh       
PMADRH               EQU        010Fh       
PMCON1               EQU        018Ch       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
IRP                  EQU        STATUS.7    
RP1                  EQU        STATUS.6    
RP0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  INTCON Register BIT Definitions 
;=======================================
GIE                  EQU        INTCON.7    
PEIE                 EQU        INTCON.6    
T0IE                 EQU        INTCON.5    
INTE                 EQU        INTCON.4    
RBIE                 EQU        INTCON.3    
T0IF                 EQU        INTCON.2    
INTF                 EQU        INTCON.1    
RBIF                 EQU        INTCON.0    


;=======================================
;  PIR1 Register BIT Definitions 
;=======================================
ADIF                 EQU        PIR1.6      
SSPIF                EQU        PIR1.3      
CCP1IF               EQU        PIR1.2      
TMR2IF               EQU        PIR1.1      
TMR1IF               EQU        PIR1.0      


;=======================================
;  PIR2 Register BIT Definitions 
;=======================================
LVDIF                EQU        PIR2.7      
BCLIF                EQU        PIR2.3      


;=======================================
;  T1CON Register BIT Definitions 
;=======================================
T1CKPS1              EQU        T1CON.5     
T1CKPS0              EQU        T1CON.4     
T1OSCEN              EQU        T1CON.3     
NOT_T1SYNC           EQU        T1CON.2     
T1INSYNC             EQU        T1CON.2     
TMR1CS               EQU        T1CON.1     
TMR1ON               EQU        T1CON.0     


;=======================================
;  T2CON Register BIT Definitions 
;=======================================
TOUTPS3              EQU        T2CON.6     
TOUTPS2              EQU        T2CON.5     
TOUTPS1              EQU        T2CON.4     
TOUTPS0              EQU        T2CON.3     
TMR2ON               EQU        T2CON.2     
T2CKPS1              EQU        T2CON.1     
T2CKPS0              EQU        T2CON.0     


;=======================================
;  SSPCON Register BIT Definitions 
;=======================================
WCOL                 EQU        SSPCON.7    
SSPOV                EQU        SSPCON.6    
SSPEN                EQU        SSPCON.5    
CKP                  EQU        SSPCON.4    
SSPM3                EQU        SSPCON.3    
SSPM2                EQU        SSPCON.2    
SSPM1                EQU        SSPCON.1    
SSPM0                EQU        SSPCON.0    


;=======================================
;  CCP1CON Register BIT Definitions 
;=======================================
PWM1M1               EQU        CCP1CON.7   
PWM1M0               EQU        CCP1CON.6   
DC1B1                EQU        CCP1CON.5   
DC1B0                EQU        CCP1CON.4   
CCP1M3               EQU        CCP1CON.3   
CCP1M2               EQU        CCP1CON.2   
CCP1M1               EQU        CCP1CON.1   
CCP1M0               EQU        CCP1CON.0   


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ADCS1                EQU        ADCON0.7    
ADCS0                EQU        ADCON0.6    
CHS2                 EQU        ADCON0.5    
CHS1                 EQU        ADCON0.4    
CHS0                 EQU        ADCON0.3    
GO                   EQU        ADCON0.2    
NOT_DONE             EQU        ADCON0.2    
GO_DONE              EQU        ADCON0.2    
CHS3                 EQU        ADCON0.1    
ADON                 EQU        ADCON0.0    


;=======================================
;  OPTION_REG Register BIT Definitions 
;=======================================
NOT_RBPU             EQU        OPTION_REG.7
INTEDG               EQU        OPTION_REG.6
T0CS                 EQU        OPTION_REG.5
T0SE                 EQU        OPTION_REG.4
PSA                  EQU        OPTION_REG.3
PS2                  EQU        OPTION_REG.2
PS1                  EQU        OPTION_REG.1
PS0                  EQU        OPTION_REG.0


;=======================================
;  PIE1 Register BIT Definitions 
;=======================================
ADIE                 EQU        PIE1.6      
SSPIE                EQU        PIE1.3      
CCP1IE               EQU        PIE1.2      
TMR2IE               EQU        PIE1.1      
TMR1IE               EQU        PIE1.0      


;=======================================
;  PIE2 Register BIT Definitions 
;=======================================
LVDIE                EQU        PIE2.7      
BCLIE                EQU        PIE2.3      


;=======================================
;  PCON Register BIT Definitions 
;=======================================
OSCF                 EQU        PCON.3      
NOT_POR              EQU        PCON.1      
NOT_BO               EQU        PCON.0      
NOT_BOR              EQU        PCON.0      


;=======================================
;  SSPCON2 Register BIT Definitions 
;=======================================
GCEN                 EQU        SSPCON2.7   
ACKSTAT              EQU        SSPCON2.6   
ACKDT                EQU        SSPCON2.5   
ACKEN                EQU        SSPCON2.4   
RCEN                 EQU        SSPCON2.3   
PEN                  EQU        SSPCON2.2   
RSEN                 EQU        SSPCON2.1   
SEN                  EQU        SSPCON2.0   


;=======================================
;  SSPSTAT Register BIT Definitions 
;=======================================
SMP                  EQU        SSPSTAT.7   
CKE                  EQU        SSPSTAT.6   
D                    EQU        SSPSTAT.5   
I2C_DATA             EQU        SSPSTAT.5   
NOT_A                EQU        SSPSTAT.5   
NOT_ADDRESS          EQU        SSPSTAT.5   
D_A                  EQU        SSPSTAT.5   
DATA_ADDRESS         EQU        SSPSTAT.5   
P                    EQU        SSPSTAT.4   
I2C_STOP             EQU        SSPSTAT.4   
S                    EQU        SSPSTAT.3   
I2C_START            EQU        SSPSTAT.3   
R                    EQU        SSPSTAT.2   
I2C_READ             EQU        SSPSTAT.2   
NOT_W                EQU        SSPSTAT.2   
NOT_WRITE            EQU        SSPSTAT.2   
R_W                  EQU        SSPSTAT.2   
READ_WRITE           EQU        SSPSTAT.2   
UA                   EQU        SSPSTAT.1   
BF                   EQU        SSPSTAT.0   


;=======================================
;  REFCON Register BIT Definitions 
;=======================================
VRHEN                EQU        REFCON.7    
VRLEN                EQU        REFCON.6    
VRHOEN               EQU        REFCON.5    
VRLOEN               EQU        REFCON.4    


;=======================================
;  LVDCON Register BIT Definitions 
;=======================================
BGST                 EQU        LVDCON.5    
LVDEN                EQU        LVDCON.4    
LVV3                 EQU        LVDCON.3    
LVV2                 EQU        LVDCON.2    
LVV1                 EQU        LVDCON.1    
LVV0                 EQU        LVDCON.0    


;=======================================
;  ADCON1 Register BIT Definitions 
;=======================================
ADFM                 EQU        ADCON1.7    
VCFG2                EQU        ADCON1.6    
VCFG1                EQU        ADCON1.5    
VCFG0                EQU        ADCON1.4    


;=======================================
;  PMCON1 Register BIT Definitions 
;=======================================
RD                   EQU        PMCON1.0    


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_BODEN_ON            EQU        3FFFh       
_BODEN_OFF           EQU        3FBFh       
_CP_ALL              EQU        0CFFh       
_CP_OFF              EQU        3FFFh       
_VBOR_25             EQU        3FFFh       
_VBOR_27             EQU        3BFFh       
_VBOR_42             EQU        37FFh       
_VBOR_45             EQU        33FFh       
_PWRTE_OFF           EQU        3FFFh       
_PWRTE_ON            EQU        3FEFh       
_MCLRE_OFF           EQU        3FDFh       
_MCLRE_ON            EQU        3FFFh       
_WDT_ON              EQU        3FFFh       
_WDT_OFF             EQU        3FF7h       
_ER_OSC_CLKOUT       EQU        3FFFh       
_ER_OSC_NOCLKOUT     EQU        3FFEh       
_INTRC_OSC_CLKOUT    EQU        3FFDh       
_INTRC_OSC_NOCLKOUT  EQU        3FFCh       
_EXTCLK_OSC          EQU        3FFBh       
_HS_OSC              EQU        3FFAh       
_XT_OSC              EQU        3FF9h       
_LP_OSC              EQU        3FF8h       
